stages:
  - validate
  - build
  - test

include:
  - template: 'Jobs/Build.gitlab-ci.yml'

validate:
  stage: validate
  image: registry.gitlab.com/gitlab-org/terraform-images/stable:latest
  script:
     - terraform fmt -check
     - terraform init -backend=false
     - terraform validate
rptf:
  stage: test
  image: python:3
  before_script:
    - pip install rptf
  script:
    - rptf
  rules:
    - if: '$CI_PROJECT_NAMESPACE == "gitlab-org/5-minute-production-app"'
      when: on_success 
